<?php get_header(); ?>
  <div class="divider"></div>

  <div class="content">
    <div class="container">
      <div class="main-content">
        <h1><?php _e( 'Upcoming events' , 'schools' ); ?></h1>

        <section class="posts-con">
          <?php $post_count = 0; while( have_posts() ) { the_post(); $post_count++; ?>
            <article<?php if ( $post_count == $wp_query->post_count ) echo ' class="last"'; ?>>
              <div class="current-date">
                <p><?php the_time( 'F' ); ?></p>
                <p class="date"><?php the_time( 'd' ); ?></p>
              </div>
              <div class="info">
                <h3><?php the_title(); ?></h3>
                <p class="info-line"><span class="time"><?php the_time( 'H:i A' ); ?></span><span class="place"><?php echo get_post_meta( get_the_ID(), '_tz_event_location', true ); ?></span></p>
                <?php the_content(); ?>
              </div>
            </article>
          <?php } ?>

          <div class="post-nav">
            <div class="left"><?php next_posts_link( __( 'Older', 'schools' ) ); ?></div>
            <div class="right"><?php previous_posts_link( __( 'Newest', 'schools' ) ); ?></div>
          </div>
        </section>
      </div>

      <aside id="sidebar">
        <?php
          $m = ( isset( $_GET['em'] ) ) ? $_GET['em'] : date( 'm' );
          $y = ( isset( $_GET['ey'] ) ) ? $_GET['ey'] : date( 'Y' );

          echo tz_event_calendar( $m, $y );
        ?>

        <?php dynamic_sidebar( 'main-sidebar' ); ?>
      </aside>
      <!-- / sidebar -->

    </div>
    <!-- / container -->
  </div>
<?php get_footer(); ?>
