<?php

if ( ! class_exists( 'WP_Customize_Control' ) )
    return NULL;

class Page_Dropdown_Custom_Control extends WP_Customize_Control {
  private $pages = false;

  public function __construct( $manager, $id, $args = array(), $options = array() ) {
    $page_args = wp_parse_args( $options, array( 'numberposts' => '-1' ) );
    $this->pages = get_pages( $page_args );
    parent::__construct( $manager, $id, $args );
  }

  public function render_content() {
    if ( ! empty( $this->pages ) ) {
  ?>
    <label>
        <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>

        <select name="<?php echo $this->id; ?>" id="<?php echo $this->id; ?>" <?php $this->link(); ?>>
          <?php
              foreach ( $this->pages as $page )
                printf('<option value="%s" %s>%s</option>', $page->ID, selected( $this->value(), $page->ID, false ), $page->post_title );
          ?>
        </select>
    </label>
  <?php
    }
  }
}
