<?php

add_action( 'widgets_init', create_function( '', 'register_widget("tz_gallery_widget");' ) );
class tz_gallery_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			'tz_gallery_widget',
			__( 'TZ Gallery', 'schools' ),
			array(
				'classname' => 'tz_widget_gallery',
				'description' => __( 'Widget to displaying your gallery.', 'schools' )
			)
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		$limit = $instance['limit'];

		echo $args['before_widget'];

		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
	<?php
		query_posts( array( 'post_type' => 'tz_gallery', 'showposts' => $limit ) );
		if ( have_posts() ) {
	?>
		<div class="list">
			<ul>
				<?php while( have_posts() ) { the_post(); ?>
					<li><a href="<?php the_post_thumbnail_url(); ?>"><img src="<?php the_post_thumbnail_url(); ?>" alt=""></a></li>
				<?php } ?>
			</ul>

			<div class="btn-holder">
				<a class="btn blue" href="<?php echo home_url() . '/galleries/'; ?>">Show more photos</a>
			</div>
		</div>
	<?php } wp_reset_postdata(); ?>
<?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$defaults = array(
			'title' => __( 'Gallery', 'schools' ),
			'limit' => 6
		);

		$instance = wp_parse_args( ( array ) $instance, $defaults );
?>
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'schools' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'limit' ); ?>"><?php _e( 'Limit:', 'schools' ); ?></label>
		<input class="widefat" type="number" id="<?php echo $this->get_field_id( 'limit' ); ?>" name="<?php echo $this->get_field_name( 'limit' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['limit'] ), ENT_QUOTES ) ); ?>" />
	</p>
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['limit'] = stripslashes( $new_instance['limit'] );

		return $instance;
	}
}

?>
