<?php

add_action( 'widgets_init', create_function( '', 'register_widget("tz_newsletter_widget");' ) );
class tz_newsletter_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			'tz_newsletter_widget',
			__( 'TZ Newsletter', 'schools' ),
			array(
				'classname' => 'tz_widget_newsletter',
				'description' => __( 'Widget to displaying your newsletter.', 'schools' )
			)
		);
	}

	public function widget( $args, $instance ) {
		$title = apply_filters( 'widget_title', $instance['title'] );
		$text = $instance['text'];
		$form_url = $instance['form_url'];

		echo '<article class="col-4">';

		if ( ! empty( $title ) )
			echo $args['before_title'] . $title . $args['after_title'];
?>
	<p><?php echo $text; ?></p>
	<form action="<?php echo $form_url; ?>">
		<input placeholder="<?php _e( 'Email address...', 'schools' ); ?>" name="email" type="text">
		<button type="submit">Subscribe</button>
	</form>
<?php
		echo $args['after_widget'];
	}

	public function form( $instance ) {
		$defaults = array(
			'title' => __( 'Newsletter', 'schools' ),
			'text' => '',
			'form_url' => ''
		);

		$instance = wp_parse_args( ( array ) $instance, $defaults );
?>
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'schools' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'text' ); ?>"><?php _e( 'Text:', 'schools' ); ?></label>
		<textarea style="height:200px;" class="widefat" id="<?php echo $this->get_field_id( 'text' ); ?>" name="<?php echo $this->get_field_name( 'text' ); ?>"><?php echo stripslashes( htmlspecialchars( ( $instance['text'] ), ENT_QUOTES ) ); ?></textarea>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id( 'form_url' ); ?>"><?php _e( 'Form URL:', 'schools' ); ?></label>
		<input class="widefat" type="text" id="<?php echo $this->get_field_id( 'form_url' ); ?>" name="<?php echo $this->get_field_name( 'form_url' ); ?>" value="<?php echo stripslashes( htmlspecialchars( ( $instance['form_url'] ), ENT_QUOTES ) ); ?>" />
	</p>
<?php
	}

	public function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['text'] = stripslashes( $new_instance['text'] );
		$instance['form_url'] = stripslashes( $new_instance['form_url'] );

		return $instance;
	}
}

?>
