<?php

/**
 * Template Name: News
 */

get_header();

?>
  <div class="divider"></div>

  <div class="content">
    <div class="container">
      <div class="main-content">
        <h1><?php _e( 'Recent News', 'schools' ); ?></h1>

        <section class="posts-con">
          <?php
            $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
            query_posts( array( 'paged' => $paged ) );
            $post_count = 0;
            while( have_posts() ) { the_post(); $post_count++;
              $class = ( $post_count == $wp_query->post_count ) ? array( 'last' ) : array();
          ?>
            <article id="post-<?php the_ID(); ?>" <?php post_class( $class ); ?>>
              <div class="current-date">
                <p><?php the_time( 'F' ); ?></p>
                <p class="date"><?php the_time( 'd' ); ?></p>
              </div>
              <div class="info">
                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <p class="info-line"><span class="time"><?php the_time( 'H:i A' ); ?></span></p>
                <?php the_excerpt(); ?>
              </div>
            </article>
          <?php } wp_reset_postdata(); ?>

          <div class="post-nav">
            <div class="left"><?php next_posts_link( __( 'Older', 'schools' ) ); ?></div>
            <div class="right"><?php previous_posts_link( __( 'Newest', 'schools' ) ); ?></div>
          </div>
        </section>
      </div>

      <aside id="sidebar">
        <?php dynamic_sidebar( 'main-sidebar' ); ?>
      </aside>
      <!-- / sidebar -->

    </div>
    <!-- / container -->
  </div>
<?php get_footer(); ?>
