<?php

add_action( 'init', 'tz_teacher_posttype', 0 );
function tz_teacher_posttype() {
	$labels = array(
		'name'                  => 'Teachers',
		'singular_name'         => 'Teacher',
		'menu_name'             => 'Teachers',
		'name_admin_bar'        => 'Teacher',
		'archives'              => 'Teacher Archives',
		'parent_item_colon'     => 'Parent Teacher:',
		'all_items'             => 'All Teachers',
		'add_new_item'          => 'Add New Teacher',
		'add_new'               => 'Add New',
		'new_item'              => 'New Teacher',
		'edit_item'             => 'Edit Teacher',
		'update_item'           => 'Update Teacher',
		'view_item'             => 'View Teacher',
		'search_items'          => 'Search Teacher',
		'not_found'             => 'Not found',
		'not_found_in_trash'    => 'Not found in Trash',
		'featured_image'        => 'Featured Image',
		'set_featured_image'    => 'Set featured image',
		'remove_featured_image' => 'Remove featured image',
		'use_featured_image'    => 'Use as featured image',
		'insert_into_item'      => 'Insert into teacher',
		'uploaded_to_this_item' => 'Uploaded to this teacher',
		'items_list'            => 'Teachers list',
		'items_list_navigation' => 'Teachers list navigation',
		'filter_items_list'     => 'Filter teachers list',
	);
	$args = array(
		'label'                 => 'Teacher',
		'description'           => 'A teacher post type',
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', 'editor' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => 'teachers',
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'rewrite'               => array( 'slug' => 'teacher' ),
		'capability_type'       => 'post'
	);

	register_post_type( 'tz_teacher', $args );
}

add_action( 'init', 'tz_teacher_category', 0 );
function tz_teacher_category() {
	$labels = array(
		'name'                       => 'Categories',
		'singular_name'              => 'Category',
		'menu_name'                  => 'Categories',
		'all_items'                  => 'All Categories',
		'parent_item'                => 'Parent Category',
		'parent_item_colon'          => 'Parent Category:',
		'new_item_name'              => 'New Category Name',
		'add_new_item'               => 'Add New Category',
		'edit_item'                  => 'Edit Category',
		'update_item'                => 'Update Category',
		'view_item'                  => 'View Category',
		'separate_items_with_commas' => 'Separate categories with commas',
		'add_or_remove_items'        => 'Add or remove categories',
		'choose_from_most_used'      => 'Choose from the most used',
		'popular_items'              => 'Popular Categories',
		'search_items'               => 'Search Categories',
		'not_found'                  => 'Not Found',
		'no_terms'                   => 'No categories',
		'items_list'                 => 'Categories list',
		'items_list_navigation'      => 'Categories list navigation',
	);

	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
		'query_var'									 => true,
		'rewrite'                    => array( 'slug' => 'teachers' ),
	);

	register_taxonomy( 'tz_teacher_category', array( 'tz_teacher' ), $args );
}
